Subject: RE: Comments on draft-ietf-l2vpn-signaling-03.txt

From: David McDysan <[email-masked]>
Date: Wed, 23 Mar 2005 09:26:04 -0500

Scott Brim asked a question about examples of "other administrative
purposes" in the following comment at the Minneapolis meeting, and I wanted
to share my thoughts with the list to solicit comments. Adding PWE3 since
(at least requirements) work is being done there also.

Potential adminstrative uses of the AGI include:
	- Customer identification
	- Customer Contact point information (or pointer to it)
	- VPN identification (could be a list of service provider IDs)

Potential administrative uses of the AAI(s) include:
	- Physical Attachment circuit information (e.g., Circuit ID)
	- Logical Attachment circuit information (e.g., VLAN, DLCI, VPI/VCI)
	- Site identification
	- Site contact info (or pointer to it)
	- Service provider identification
	- Service provider contact point info (or pointer to it)

I had thought about using the SAII/TAII as the U-PE IP addresses for MH-PW,
but use of these fields for this purpose has an issue similar to that raised
below. That is, if the fields are defined for only one purpose then other
adminstrative provisioning, troubleshooting, billing, etc. functions are not
supported.

Scott suggested using a fixed length prefix for the "routeable" part, and I
suggested a more flexible syntax (e.g., sub-TLVs, or possibly something
SIP-like that would be human readable without a protocol analyzer). 

I think defining single-purpose AGI/AII uses is OK, but would like to hear
opinions from others on the utility of a multi-purpose AGI/AII.

Dave
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of David McDysan
> Sent: Wednesday, March 09, 2005 9:44 AM
> To: [email-masked]
> Subject: Comments on draft-ietf-l2vpn-signaling-03.txt
> 
> As mentioned in the L2VPN meeting on March 8, I offer the 
> following major and editorial comments on the subject draft.
> 
> http://www.ietf.org/internet-drafts/draft-ietf-l2vpn-signaling-03.txt
> 
> Dave
> 
> Major:
> 
> Sections 2.3, 4.2: At least mention of the following should 
> be made in the
> document:
> 
> The AGI and AII from the Generalized FEC previously are 
> specified in standard single hop PW a simple matching 
> operation by the PW endpoints. This document defines a 
> specific format and semantics for these fields in an inter-AS 
> . This means that a network operator could not use these 
> fields for other administrative purposes when the procedures 
> defined in this document are followed.  
> 
> (An alternative would be to specify more structure or a 
> syntax for the AGI and AII fields that would support the use 
> defined in this document, as well as support other uses, such 
> as for administrative purposes by a service
> provider.)
>